aboutsummaryrefslogtreecommitdiff
path: root/src/testing/initialize_taler_system.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/testing/initialize_taler_system.sh')
-rwxr-xr-xsrc/testing/initialize_taler_system.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/src/testing/initialize_taler_system.sh b/src/testing/initialize_taler_system.sh
index abe8a6d2..218de4bf 100755
--- a/src/testing/initialize_taler_system.sh
+++ b/src/testing/initialize_taler_system.sh
@@ -1,4 +1,20 @@
-# This file is in the public domain.
+# This file is part of TALER
+# Copyright (C) 2014-2021 Taler Systems SA
+#
+# TALER is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 3, or
+# (at your option) any later version.
+#
+# TALER is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with TALER; see the file COPYING. If not, see
+# <http://www.gnu.org/licenses/>
+#
## Coloring style Text shell script
COLOR='\033[0;35m'
NOCOLOR='\033[0m'
@@ -57,7 +73,7 @@ echo -n "Testing for taler-bank-manage"
taler-bank-manage --help >/dev/null </dev/null || exit_skip " MISSING"
echo " FOUND"
echo -n "Testing for taler-wallet-cli"
-taler-wallet-cli -v >/dev/null </dev/null || exit_skip " MISSING"
+taler-wallet-cli -v >/dev/null </dev/null 2> /dev/null || exit_skip " MISSING"
echo " FOUND"
echo -n "Generating Taler auditor, exchange and merchant configurations ..."